Bug 1279009 - Activating echo cancellation kills pulseaudio
Activating echo cancellation kills pulseaudio
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: webrtc-audio-processing (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Wim Taymans
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 22:53 EST by Matthias
Modified: 2016-01-13 17:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 20:54:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias 2015-11-06 22:53:59 EST
Description of problem:
Working echo cancellation setup in F22:

Add following to /etc/pulse/default.pa :

load-module module-echo-cancel source_name=echosource aec_method=webrtc source_master=alsa_input.usb-046d_HD_Webcam_C615_7574E640-00-C615.analog-mono sink_master=alsa_output.pci-0000_00_14.2.analog-stereo

.nofail


Same setting in F23 kills pulseaudio with following error message:

pulseaudio: Failed to load module "module-echo-cancel" (argument: "source_name=echosource aec_method=webrtc source_master=alsa_input.usb-046d_HD_Webcam_C615_7574E640-00-C615.analog-mono sink_master=alsa_output.pci-0000_00_14.2.analog-stereo"): initialization failed.
pulseaudio: Module load failed.
pulseaudio: Konnte Daemon nicht initialisieren. (Couldn't initialize daemon)


Version-Release number of selected component (if applicable):
pulseaudio: 7.1-1.fc23
webrtc-audio-processing: 0.1-10.fc23

How reproducible:
Always.

Steps to Reproduce:
1. Enable settings mentioned above
2. Start pulseaudio by login in or with pulseaudio -k, pulseaudio --start

Actual results:
Everything works as expected as long as the two lines in default.pa are commented out. Once they are active starting pulseaudio fails. Thus no sound at all.

In F22 it worked nicely, adding another sound source and sink with "Echo cancelled with Webcam HD615 Mono Analog" behind the name.

Expected results:
Same as in F22

Additional info:
Comment 1 Matthias 2015-12-22 20:54:38 EST
I finally got echo cancellation working.

One of the issues was that the string for the webcam microphone has changed slightly between F22 and F23. Therefore the source_master was not recognized.

This fixed the issue on one out of two computers.

On the 2nd computer the ".nofail" line for load-module module-echo-cancel ... caused the pulseaudio crash. Once ".nofail" is commented out it works.

Note You need to log in before you can comment on or make changes to this bug.